aboutsummaryrefslogtreecommitdiff
path: root/icecast/ices.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'icecast/ices.SlackBuild')
-rwxr-xr-xicecast/ices.SlackBuild106
1 files changed, 106 insertions, 0 deletions
diff --git a/icecast/ices.SlackBuild b/icecast/ices.SlackBuild
new file mode 100755
index 00000000..c4f7d25d
--- /dev/null
+++ b/icecast/ices.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+#
+# slackbuild for ices by rhatto
+# based on http://www.slackware.com/~alien/slackbuilds/icecast/build/ices.SlackBuild
+#
+
+CWD=`pwd`
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="ices"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.0.1}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+PRGNAM="$PACKAGE"
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://downloads.us.xiph.org/releases/$PACKAGE/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG=$TMP/package-$PACKAGE
+rm -rf $TMP
+mkdir -p $PKG
+cd $TMP
+
+tar xvpf$tarflag $SRC_DIR/$SRC
+cd $PRGNAM-$VERSION
+
+./configure --prefix=/usr --localstatedir=/var \
+ --sysconfdir=/usr/share/icecast/etc \
+ --libdir=$LIBDIR
+
+make || exit 32
+
+# Install all the needed stuff to the package dir
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $TMP/install-${PRGNAM}.log make DESTDIR=$PKG install
+else
+ make DESTDIR=$PKG install 2>&1 | tee $TMP/install-${PRGNAM}.log
+fi
+
+# Copy the documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R {AUTHORS,COPYING,README,TODO,doc} $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R -w $PKG/usr/doc/$PRGNAM-$VERSION
+
+# --- PACKAGE DESCRIPTION ---
+mkdir -p $PKG/install
+cat $CWD/ices.slack-desc > $PKG/install/slack-desc
+
+# --- BUILDING ---
+
+# Build the package and compute its md5 checksum:
+cd $PKG
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+makepkg --linkadd y --chown y $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.tgz
+
+#(cd $REPOS && md5sum $PRGNAM-$VERSION-$ARCH-$BUILD.tgz > $REPOS-$VERSION-$ARCH-$BUILD.tgz.md5)
+#cat $CWD/${PRGNAM}.slack-desc | grep "^${PRGNAM}" > $REPOS/$PRGNAM-$VERSION-$ARCH-$BUILD.txt
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
+#
+# EOF
+#